AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create a beneficiary

Create a transfer beneficiary

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/beneficiaries

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

account_bank string required
This is the Bank numeric code. It can be gotten from the get banks endpoint.

account_number string required
This is the account number of the customer.

beneficiary_name string required
This is the name of the beneficiary for the transfer.

currency string
This is the based of the country of the beneficiary bank. If country is KE, supply KES, if NG, supply NGN.

bank_name string
This is the name of the beneficiary bank.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

account_number string

bank_code string

full_name string

created_at string

bank_name string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys